.\" Copyright (C) 2011 Mattia Basaglia
.\" Permission is granted to copy, distribute and/or modify this document
.\" under the terms of the GNU Free Documentation License, Version 1.3
.\" or any later version published by the Free Software Foundation.

.TH bazzy-mouse-daemon 1 2011-03-22 1.0
.SH NAME
Bazzy Mouse - adjust mouse button map depending on USB device
.SH SYNOPSIS
.B bazzy-mouse-daemon
.SH DESCRIPTION
When you have a mouse plugged in a specific position you usually know if that will be on the right or left side of your computer, this is expecially true on laptops.
Bazzy Mouse allows you to map the plugged mice to act as left or right handed depending on some settings.

This program is a daemon, each time it detects a change in the USB devices it calls
.B bazzy-mouse-set
to update the mice button mapping

This command shall not be launched by the user, to start the daemon call
.B "bazzy-mouse start" 

.SH CONFIGURATION
.B bazzy-mouse-daemon 
expects to have a configuration file at ~/bazzy-mouse.conf
.br
It should contain the definition of a string called
.B param
containing a valid command to pass as argument to
.B bazzy-mouse-set
.br
It should also have the definition of a string called
.B lid
used to locate the file 
.RI /proc/acpi/button/lid/ lid /state
.br
The contents of that file ( which should be
.RB ' state:
.BR open '
or
.RB ' state:
.BR closed '
) will determine the behaviour of 
.B bazzy-mouse-daemon
.SH SEE ALSO
.BR bazzy-mouse (1), 
.BR bazzy-mouse-set (1)

